%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:		yubikey-neo-manager
Version:	1.4.0
Release:	1%{?dist}
Summary:	Tool for managing your YubiKey NEO configuration

Group:		Applications/System
License:	BSD
URL:		https://developers.yubico.com/%{name}/
Source0:	https://developers.yubico.com/%{name}/Releases/%{name}-%{version}.tar.gz
Source1:	https://developers.yubico.com/%{name}/Releases/%{name}-%{version}.tar.gz.sig
Source2:	%{name}.desktop
Source3:	gpgkey-6FBA95E8.gpg

BuildArch:	noarch

BuildRequires:	python3-devel
BuildRequires:	python-setuptools
BuildRequires:	desktop-file-utils
BuildRequires:	gnupg2

Requires:	python-pyside
Requires:	ykpers
Requires:	libykneomgr
Requires:	libu2f-host
Requires:	yubikey-personalization-gui


%description
Tool for managing your YubiKey NEO configuration.
Connecting multiple keys at once is supported,
but only if CCID mode is active for all of them.

%prep
gpgv2 --quiet --keyring %{SOURCE3} %{SOURCE1} %{SOURCE0}
%setup -q

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}
desktop-file-install --dir=%{buildroot}%{_datadir}/applications \
    %SOURCE2

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README
%license COPYING
%{python_sitelib}/*
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop

%changelog
* Mon Feb 19 2018 Jakub Jelen <jjelen@redhat.com> - 1.4.0-1
- New upstream release

* Wed Sep 16 2015 Jakub Jelen <jjelen@redhat.com> 1.3.0-1
- New upstream release

* Fri Dec 26 2014 Jerome Brunet <guizmo-copr@liltaz.com> 1.1.0-1
- Add desktop file using yubico artwork

* Fri Dec 26 2014 Jerome Brunet <guizmo-copr@liltaz.com> 1.1.0-1
- Initial RPM packaging for Fedora

